openssl is no longer always needed to compile a plugin

Description

Commit 12f9718ce91d907273e82a71dc87366dd6f9375b in the bro-aux repo
should now be reverted due to the changes made in resolving BIT-1654.

Environment

None

Assignee

Johanna Amann

Reporter

Daniel Thayer

Labels

None

External issue ID

None

Components

Fix versions

Priority

Normal
Configure